Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class BackStab

    java.lang.Object
      gnu.jbrowser.BackStab

All Implemented Interfaces:
  java.lang.Comparable

    public class BackStab

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`protected int` | `line`
`protected int` | `mod`
`protected java.lang.String` | `name`
`protected gnu.jbrowser.UML.Element` | `parent`
`protected UML.Type` | `type`

Constructor Summary
`BackStab(java.lang.String name)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`static BackStab` | `fromElement(gnu.jbrowser.UML.Element elm)`
`UML.Type` | `getElementType()`
`int` | `getLine()`
`static int` | `getLine(gnu.jbrowser.UML.Element elm)`
`java.lang.String` | `getName()`
`gnu.jbrowser.UML.Element` | `getParentElement()`
`UML.Type` | `getParentElementType()`
`boolean` | `isAbstract()`
`boolean` | `isClass()`
`boolean` | `isInterface()`
`boolean` | `isStatic()`
`boolean` | `isVisible(Options.FilterIro filterOpt)`
`void` | `setElementType(UML.Type type)`
`void` | `setName(java.lang.String name)`
`void` | `setParentElement(gnu.jbrowser.UML.Element e)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(Options.DisplayIro displayOpt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected UML.Type type

### mod

    protected int mod

### parent

    protected gnu.jbrowser.UML.Element parent

### line

    protected int line

Constructor Detail

### BackStab

    public BackStab(java.lang.String name)

Method Detail

### fromElement

    public static BackStab fromElement(gnu.jbrowser.UML.Element elm)

### getLine

    public int getLine()

### getLine

    public static int getLine(gnu.jbrowser.UML.Element elm)

### compareTo

    public int compareTo(java.lang.Object o)
                  throws java.lang.ClassCastException

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Throws:
    `java.lang.ClassCastException`

### toString

    public java.lang.String toString()

### getElementType

    public final UML.Type getElementType()

### setElementType

    public final void setElementType(UML.Type type)

### getParentElement

    public final gnu.jbrowser.UML.Element getParentElement()

### setParentElement

    public final void setParentElement(gnu.jbrowser.UML.Element e)

### getParentElementType

    public final UML.Type getParentElementType()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString(Options.DisplayIro displayOpt)

### isVisible

    public boolean isVisible(Options.FilterIro filterOpt)

### isAbstract

    public boolean isAbstract()

### isStatic

    public final boolean isStatic()

### isInterface

    public final boolean isInterface()

### isClass

    public final boolean isClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.